Last (Apache Ant API)
Keywords: org.apache.tools.ant.types.resources.Last class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types.resources
Class Last

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.types.DataType
              org.apache.tools.ant.types.resources.AbstractResourceCollectionWrapper
                  org.apache.tools.ant.types.resources.BaseResourceCollectionWrapper
                      org.apache.tools.ant.types.resources.SizeLimitCollection
                          org.apache.tools.ant.types.resources.Last

All Implemented Interfaces:
  java.lang.Cloneable, ResourceCollection

    public class Last

extends SizeLimitCollection

ResourceCollection that contains the last `count` elements of another ResourceCollection, a la the UNIX tail command.

Since:
  Ant 1.7.1

Field Summary

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`Last()`

Method Summary
`protected java.util.Collection` | `getCollection()` Take the last `count` elements.

Methods inherited from class org.apache.tools.ant.types.resources.SizeLimitCollection
`getCount, getValidCount, setCount, size`

Methods inherited from class org.apache.tools.ant.types.resources.BaseResourceCollectionWrapper
`createIterator, getSize`

Methods inherited from class org.apache.tools.ant.types.resources.AbstractResourceCollectionWrapper
`add, dieOnCircularReference, getResourceCollection, isCache, isFilesystemOnly, iterator, setCache, toString`

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, clone, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, setRefid, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Last

    public Last()

Method Detail

### getCollection

    protected java.util.Collection getCollection()

  Take the last `count` elements.

  Specified by:
    `getCollection` in class `BaseResourceCollectionWrapper`
  Returns:
    a Collection of Resources.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD